Attach a note to an entity

POST https://api.expirationreminder.com/v1/notes/{id}/relations

Path Parameters

id string Required

Request Body

Property Type Required Description
entity_id string (uuid) No -
entity_type integer (int32) No -

Sample Request

{
  "entity_id": "00000000-0000-0000-0000-000000000000",
  "entity_type": 0
}
POST /v1/notes/{id}/relations
$ curl https://api.expirationreminder.com/v1/notes/{id}/relations \
  -H "Authorization: Bearer <token>"

Responses

Example Response

[
    {
    "entity_id": "00000000-0000-0000-0000-000000000000",
    "entity_type": 0
  }
  ]

Bad Request

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}

Not Found

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}
An unhandled error has occurred. Reload 🗙

Rejoining the server...

Rejoin failed... trying again in seconds.

Failed to rejoin.
Please retry or reload the page.

The session has been paused by the server.

Failed to resume the session.
Please retry or reload the page.